name=Manifest Files Demo
dls.Organization=Organizzazioni
text=Testo
section=Capitolo
document=Libro
dls.Titles=Titoli
dls.Keyword=Come fare per
dls.Subject=Oggetti

textdate=data di pubblicazione\:
textnumpages=numero di pagine\:
textsource=fonte rif.\:

shortDescription=<p>Questa collezione dimostrativa contiene lo stesso materiale della collezione demo originale Greenstone. Inoltre, contiene alcuni file manifest predefiniti, per mostrarne l'uso con la creazione incrementale.

description=<h3>Caratteristiche di questa collezione</h3> \n\
<ul> \n\
<li>Utilizza <tt>lucene</tt> per eseguire la compilazione incrementale.</li> \n\
<li>Utilizza OIDtype <tt>dirname</tt> per facilitare la specificazione degli ID dei documenti da eliminare.</li> \n\
<li><tt>import</tt> e import.extra con materiale aggiuntivo. \n\
<li><tt>manifests</tt> contiene i file manifest. \n\
<li>Indice, reindicizzazione, eliminazione. \n\
<li>Il nome del file/OID utilizza la creazione da riga di comando. \n\
</ul> \n\

description0=<h3>Istruzioni</h3><br /><p>0. Eseguire setup/source setup.bash nel livello superiore prima di iniziare.</p><br />

description1=<p>1. Creare inizialmente la collezione\:<br /> \n\
<pre>perl -S import.pl -site localsite documented-examples/manifest-demo-e \n\
perl -S buildcol.pl -site localsite -activate documented-examples/manifest-demo-e</pre> \n\
<i>Nota\:</i> Se si dimentica di passare il flag <tt>-activate</tt> al comando <tt>buildcol</tt>, utilizzare un file explorer per accedere alla cartella <tt>web/sites/localsite/collect/documented-examples/manifest-demo-e</tt> dell'installazione di Greenstone 3 e rinominare la sottocartella <tt>building</tt> in <tt>index</tt>.)<br /> \n\
<br /> \n\
Visualizza l'anteprima della collezione. Contiene 8 documenti, 5 da BOSTID e 3 da EC Courier.

description2=<p>2. Aggiungere alcuni nuovi documenti alla collezione.<br /> \n\
<br /> \n\
Copiare le tre cartelle fb33fe fb34fe wb34te da import.extra in import. \n\
<br /> \n\
<pre>perl -S incremental-import.pl -site localsite -manifest manifests/add-new-files.xml documented-examples/manifest-demo-e \n\
perl -S incremental-buildcol.pl -site localsite -activate documented-examples/manifest-demo-e</pre> \n\
\n\
Ora dovrebbero esserci i documenti FAO Better Farming e un documento della Banca Mondiale.

description3=<p>3. Elimina alcuni documenti dalla collezione.<br /> \n\
<pre>perl -S incremental-import.pl -site localsite -manifest manifests/delete-some-files.xml documented-examples/manifest-demo-e \n\
perl -S incremental-buildcol.pl -site localsite -activate documented-examples/manifest-demo-e</pre> \n\
\n\
Si noti che non abbiamo effettivamente eliminato i documenti dalla cartella di importazione. Li abbiamo solo rimossi dalle sottocartelle <tt>archives</tt> e <tt>index</tt> della collezione. \n\
Ora i documenti EC Courier dovrebbero essere stati eliminati.

description4=<p>4. Modifica alcuni metadati<br /> \n\
<pre>Copia import.extra/fb33fe-metadata.xml in import/fb33fe/metadata.xml \n\
Copia import.extra/fb34fe-metadata.xml in import/fb34fe/metadata.xml \n\
\n\
perl -S incremental-import.pl -site localsite -manifest manifests/new-metadata.xml documented-examples/manifest-demo-e \n\
perl -S incremental-buildcol.pl -site localsite -activate documented-examples/manifest-demo-e</pre> \n\
\n\
Anteprima e i nuovi metadati dovrebbero essere presenti.
